#! /bin/bash
#
#  picpuz-build.sh

g++ > picpuz-temp 2>&1
if [ $? -ne 1 ]
then
   echo "*** You must install the GCC compiler package"
   echo "    (C/C++ software development, g++ command)"
   exit 1
fi

pkg-config --cflags gtk+-2.0 --libs gtk+-2.0 gthread-2.0 > picpuz-temp 2>&1
if [ $? -ne 0 ]
then
   echo "*** You must install the GTK+ library package"
   echo "    (GNOME software development, gtk2.0 library)"
   exit 1
fi

echo -n "picpuz build - "
g++ -O3 -Wall -o picpuz.x picpuz.cpp zlib.cpp         \
         $(pkg-config --cflags gtk+-2.0)              \
         $(pkg-config --libs gtk+-2.0)                \
         $(pkg-config --libs gthread-2.0)            

if [ $? -eq 0 ]
then 
   echo "successful"
   chmod a+rx picpuz.x
   rm -f picpuz-temp
   exit 0
fi

exit 1
